$!.. EVERYNITE.COM			Daily batch job action procedure
$ SET NOON
$ SUBMIT_JOB := SUBMIT /NOPRINT /USER=SYSMANAGER
$ SUBMIT_CMNJOB := SUBMIT /NOPRINT /LOG_FILE=CMN$MANAGER: /USER=SYSMANAGER
$ MULTIS := @SYS$MGR_UTIL:MULTISUBMIT
$ which = F$GETSYI( "NODENAME")		!Which system is this?
$ opsys = which .EQS. "OPER"		!Set to TRUE if Operational system
$ dvsys = which .EQS. "DEVL"		!Set to TRUE if Development system
$ acsys = which .EQS. "ADCALC"		!Set to TRUE if Calculational system
$ devl_cluster = dvsys .OR. acsys	!TRUE if known VAXCluster node
$!
$! Submit batch job to update system time from OPER VAX (DEVL only) and
$! to update the TIMECHECK file as needed.
$!
$ MULTIS	SYSTEM/ONLINE	SYS$MGR_UTIL:TIMECHECK.JOB
$!
$! Submit the system usage monitoring job
$!
$!> $ MULTIS	SHORT/ONLINE	SYS$MGR_UTIL:MERRIMAC.JOB
$!
$! Submit the MADDELETR job to cleanup temporary and other useless files.
$! Run MADDELETR job at 2:00 AM!
$!
$ SUBMIT_CMNJOB /QUEUE=LONG_JOBS /AFTER=02:00 /PRIORITY=20	-
		SYS$MGR_UTIL:MADDELETR /NAME=MADDELETER
$!
$! Submit the USCLEANER job to cleanup scratch disk if the USR$SCRATCH
$! logical name is defined.  Run USCLEANER at 2:10 AM!
$!
$ IF F$LOGICAL( "USR$SCRATCH") .NES. "" THEN  -
$	SUBMIT_CMNJOB /AFTER=02:00 /PRIORITY=20	SYS$MGR_UTIL:USCLEANER
$!
$! Submit EVERYNITE jobs for other users (other than SYSMANAGER/SYSTEM).
$!
$@SYS$MGR_UTIL:USERSEJOBS  EVERYNITE
$!
$! Submit SLUGGARDS batch jobs to kill the jobs of those sluggards who don't
$! bother to logoff before going home for the day.  This is a stopgap until
$! Argus V4 is ready.
$!
$ MULTIS	SYSTEM/ONLINE	"SYS$MGR_UTIL:SLUGGARDS.JOB /AFTER=01:30"
$ MULTIS	SYSTEM/ONLINE	"SYS$MGR_UTIL:SLUGGARDS.JOB /AFTER=08:30"
$ MULTIS	SYSTEM/ONLINE	"SYS$MGR_UTIL:SLUGGARDS.JOB /AFTER=20:30"
$ EXIT	1				! End-of-job for tonight
$!==============================================================================
$! EVERYNITE.COM
$!
$!	This command procedure is run every night at midnight by the
$!	EVRYNITE batch job (which uses command procedure EVERYNITE.JOB).
$!	It's purpose is to submit other batch jobs which run every
$!	day at various times.
$!
$!==============================================================================
$! Here is where the real work gets done.  The SUBMIT commands (or @name)
$! commands should go between the two lines of astericks.  Remember that
$! this job is running under the SYSTEM account (UIC [1,4]) as will any
$! batch jobs SUBMIT'ed from here or any command files executed from here.
$! The current default directory is now: SYS$MANAGER:!!
$! If a batch job must be run under a different user either you can:
$!	1. Change the UIC and default directory at the start of the
$!	   command file submitted as a batch job.
$!	2. SPAWN a command file off under a different UIC to do you thing
$!	   or SUBMIT a batch job.  (Or you can insert a detached process
$!	   RUN command into here).
$! Note that the .LOG files for batch jobs submitted from here or detached
$! processes SPAWN'ed from here are placed in SYS$MANAGER:
$!
$! The logical names SYS$LOGIN: and SYS$MANAGER: both point to the system
$! manager's directory.  The SYS$MGR_UTIL: logical name points to the system
$! manager's subdirectory in which many of the utility command procedures are
$! stored.
$!
$! The global symbol OPSYS is 1 (TRUE) if this command procedure is being
$! run on the Operational VAX system and 0 (FALSE) otherwise.  Use of this
$! allows a single version of this command procedure to be maintained and
$! yet have different actions on the two systems.
$!==============================================================================
$! Created:	Frank J. Nagy	Fermilab Accelerator/Controls
$! Modifications:
$!  18-Mar-82	FJN	Created by splitting old EVERYNITE.COM into this file
$!			and EVERYNITE.JOB.
$!  17-Jul-82	FJN	Added TIMEREPRO to get system time from Operational
$!			VAX
$!  28-Jul-82	FJN	Preparation for VMS V3, merged versions of this file
$!			for Development and Operational systems
$!  30-Aug-82	FJN	Use VMS V3 features
$!  05-Sep-82	FJN	Add MERRIMAC monitoring job submittal
$!  17-Nov-82	FJN	Add APLLOG printout for DEVL system
$!  18-Nov-82	FJN	Fix APLLOG to run after MADDELETR (run it at 6 AM)
$!  21-Apr-83	FJN	Insure correct privileges to run TIMEREPRO
$!  05-Jul-83	FJN	Run TIMECHECK program every nite to update the last
$!			time-check file.
$!  22-Sep-83	FJN	Use SETUSER and GETUAF to have APPLOG print under
$!			CNSAPPL user
$!  23-Sep-83	FJN	Fixed problem with APLLOG job and setup APLPURGE
$!			as separate CNSAPPL job.
$!  01-Dec-83	FJN	Added PURGEOLD job for user LOGGER to purge disk
$!			space for Datalogger.
$!  03-Jan-84	FJN	Dropped APLLOG printout into EVERYWEEK...
$!  30-Jan-84	FJN	With V2.1 of SETUSER, also change account name;
$!			start MADDELETR at 2 AM
$!  15-Jun-84	FJN	Moved TIMEREPRO.EXE and TIMECHECK.EXE to FERMI$UTIL
$!  16-Oct-84	FJN	Moved some jobs to the LONG_JOBS queue and some
$!			to SHORT_JOBS.
$!  12-Nov-84	FJN	Initial testing of handling user-specific jobs via
$!			their own EVERY* jobs and a control database...
$!  13-Nov-84	FJN	Removed much of the user-specific stuff into their
$!			own jobs
$!  28-Dec-84	FJN	Replace OPSYS setting by WHICH.SYS template and
$!			then include ADCALC in customizations
$!  07-Jun-85	FJN	Use VMS V4 features and compact/move comments
$!  12-Jun-85	FJN	Changed to USERSEJOBS.COM procedure
$!  23-Jun-85	FJN	Time stuff (TIMEREPRO and TIMECHECK) moved into a
$!			separate batch job to be run on each VAXCluster member
$!  17-Aug-85	FJN	Add submittal of USCLEANER job if USR$SCRATCH logical
$!			name is defined
$!  18-Oct-85	FJN	Use SUBMIT_CMNJOB for MADDELETR and USCLEANER jobs
$!			and added use of MULTISUBMIT.COM
$!  27-Oct-85	FJN	Temporary mod to submit SLUGGARDS job as stopgap until
$!			Argus V4 is ready for operation
